Bug 181869 - Error given when duplicate non-updateable key (eg: keyring) added
Error given when duplicate non-updateable key (eg: keyring) added
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Howells
Brian Brock
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-02-17 05:56 EST by David Howells
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 18:20:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to replace duplicate non-updateable keys (925 bytes, patch)
2006-02-17 05:56 EST, David Howells
no flags Details | Diff

  None (edit)
Description David Howells 2006-02-17 05:56:16 EST
Description of problem: 
 
Addition of duplicate non-updateable keys (such as keyrings) to a keyring 
should displace the old instance of the key but gives EEXIST instead. 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
 
100% 
 
Steps to Reproduce: 
1. keyctl session - 
2. keyctl newring a @s 
3. keyctl newring a @s 
4. keyctl show 
   
Actual results: 
 
At step 3, the command gives a "File exists" error, and at step 4 you can see 
the keyring created at step 2 attached to the session keyring. 
 
Expected results: 
 
At step 3, the command should work, and should return a new key ID. At step 4 
you should see that the keyring created in step 3 is attached to the session 
keyring, and the keyring from step 2 is nowhere to be seen. 
 
 
Additional info:
Comment 1 David Howells 2006-02-17 05:56:16 EST
Created attachment 124805 [details]
Patch to replace duplicate non-updateable keys
Comment 6 Red Hat Bugzilla 2006-08-10 18:20:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.